# Contributing to Brick

Thanks for helping to make Brick better! Brick as a project is spread out over several repositories- one for the site, one for the main project, and one for each individual component.

If you're filing an issue or submitting a pull request, please try to file it in the right place:

* [The Brick Project](https://github.com/mozbrick/brick/) - the overall project. Use this repository for question about usage, distribution, overall compatibility, and discussing possible new features/components.
* [Brick website](https://github.com/mozbrick/mozbrick.github.io/) - Issues with the https://mozbrick.github.io/ website, such as issues with the documentation or examples.

Individual component repositories:

* [brick-action](https://github.com/mozbrick/brick-action)
* [brick-appbar](https://github.com/mozbrick/brick-appbar)
* [brick-calendar](https://github.com/mozbrick/brick-calendar)
* [brick-deck](https://github.com/mozbrick/brick-deck)
* [brick-flipbox](https://github.com/mozbrick/brick-flipbox)
* [brick-form](https://github.com/mozbrick/brick-form)
* [brick-layout](https://github.com/mozbrick/brick-layout)
* [brick-menu](https://github.com/mozbrick/brick-menu)
* [brick-storage-indexeddb](https://github.com/mozbrick/brick-storage-indexeddb)
* [brick-tabbar](https://github.com/mozbrick/brick-tabbar)

## Filing pull requests

Brick has a `.jshintrc` file to enforce coding style and best practices. Please run JSHint if you are modifying JavaScript files to verify they conform.

## Conduct

Be respectful of other contributors to the project. The core Brick team is small, and Web Components are a young maturing technology. Others may not know the APIs and best practices as well as you do, so be gentle with newbie questions. A good attitude will be valued above good code.
